//+------------------------------------------------------------------+
//|                                               VininI_OpenDay.mq4 |
//|                      Copyright  2011, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2011, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_separate_window
#property indicator_buffers 4
#property indicator_color1 Red
#property indicator_color2 Green
#property indicator_color3 Red
#property indicator_color4 Green

#property indicator_width1 1
#property indicator_width2 1
#property indicator_width3 2
#property indicator_width4 2


extern int CountBar=25;
extern int MAPeriod=5;

//---- buffers
double ExtMapBuffer1[];
double ExtMapBuffer2[];
double ExtMapBuffer3[];
double ExtMapBuffer4[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE); SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexStyle(1,DRAW_LINE); SetIndexBuffer(1,ExtMapBuffer2);
   SetIndexStyle(2,DRAW_LINE); SetIndexBuffer(2,ExtMapBuffer3);
   SetIndexStyle(3,DRAW_LINE); SetIndexBuffer(3,ExtMapBuffer4);

   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
   int limit=Bars-counted_bars;
   int limit1=limit;
   if (limit>1) {
      limit=Bars-CountBar-1;
      limit1=limit-MAPeriod;
   }
   for (int i=limit;i>=0;i--){
      ExtMapBuffer1[i]=Open[iLowest( NULL, 0, MODE_LOW, CountBar-1, i+1)]-Open[i];
      ExtMapBuffer2[i]=Open[i]-Open[iHighest(NULL, 0, MODE_HIGH, CountBar-1, i+1)];
      
   }
   for (i=limit1;i>=0;i--){
      ExtMapBuffer3[i]=iMAOnArray(ExtMapBuffer1,0,MAPeriod,0,MODE_SMA,i);
      ExtMapBuffer4[i]=iMAOnArray(ExtMapBuffer2,0,MAPeriod,0,MODE_SMA,i);
      
   }
   

   return(0);
  }
//+------------------------------------------------------------------+

int CheckTimeFrame(int TimeFrame){
   int Res=Period();
   if (TimeFrame>=PERIOD_M1) Res=PERIOD_M1;
   if (TimeFrame>=PERIOD_M5) Res=PERIOD_M5;
   if (TimeFrame>=PERIOD_M15) Res=PERIOD_M15;
   if (TimeFrame>=PERIOD_M30) Res=PERIOD_M30;
   if (TimeFrame>=PERIOD_H1) Res=PERIOD_H1;
   if (TimeFrame>=PERIOD_H4) Res=PERIOD_H4;
   if (TimeFrame>=PERIOD_D1) Res=PERIOD_D1;
   if (TimeFrame>=PERIOD_W1) Res=PERIOD_W1;
   if (TimeFrame>=PERIOD_MN1) Res=PERIOD_MN1;
   
   return(Res);

} 